EmbeddableServer (Grails 2.4.4)
Date: 2014-10-28

Package: grails.web.container

## [Java] Interface EmbeddableServer

- Defines the container implementation used by Grails during development.

  Authors:
    Graeme Rocher
  Since:
    1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `java.lang.String` | `DEFAULT_HOST` |
    `int` | `DEFAULT_PORT` |
    `int` | `DEFAULT_SECURE_PORT` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `restart()` Typically combines the stop() and start() methods in order to restart the container
    `void` | `start()` Starts the container on the default port
    `void` | `start(int port)` Starts the container on the given port
    `void` | `start(java.lang.String host, int port)` Starts the container on the given port
    `void` | `startSecure()` Starts a secure container running over HTTPS
    `void` | `startSecure(int port)` Starts a secure container running over HTTPS for the given port
    `void` | `startSecure(java.lang.String host, int httpPort, int httpsPort)` Starts a secure container running over HTTPS for the given port and host.
    `void` | `stop()` Stops the container

- - ### Field Detail

    - #### public java.lang.String DEFAULT_HOST

    - #### public int DEFAULT_PORT

    - #### public int DEFAULT_SECURE_PORT

  - ### Method Detail

    - #### public void restart()

      Typically combines the stop() and start() methods in order to restart the container

    - #### public void start()

      Starts the container on the default port

    - #### public void start(int port)

      Starts the container on the given port

      Parameters:
        `port` - The port number

    - #### public void start(java.lang.String host, int port)

      Starts the container on the given port

      Parameters:
        `host` - The host to start on
        `port` - The port number

    - #### public void startSecure()

      Starts a secure container running over HTTPS

    - #### public void startSecure(int port)

      Starts a secure container running over HTTPS for the given port

      Parameters:
        `port` - The port

    - #### public void startSecure(java.lang.String host, int httpPort, int httpsPort)

      Starts a secure container running over HTTPS for the given port and host.

      Parameters:
        `host` - The server host
        `httpPort` - The port for HTTP traffic.
        `httpsPort` - The port for HTTPS traffic.

    - #### public void stop()

      Stops the container